org.apache.flume.channel.file.proto

## Interface ProtosFactory.TransactionEventHeaderOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    ProtosFactory.TransactionEventHeader, ProtosFactory.TransactionEventHeader.Builder
  Enclosing class:
    ProtosFactory

      public static interface ProtosFactory.TransactionEventHeaderOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTransactionID()` `required sfixed64 transactionID = 2;`
    `int` | `getType()` `required sfixed32 type = 1;`
    `long` | `getWriteOrderID()` `required sfixed64 writeOrderID = 3;`
    `boolean` | `hasTransactionID()` `required sfixed64 transactionID = 2;`
    `boolean` | `hasType()` `required sfixed32 type = 1;`
    `boolean` | `hasWriteOrderID()` `required sfixed64 writeOrderID = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasType

          boolean hasType()

      `required sfixed32 type = 1;`

    - #### getType

          int getType()

      `required sfixed32 type = 1;`

    - #### hasTransactionID

          boolean hasTransactionID()

      `required sfixed64 transactionID = 2;`

    - #### getTransactionID

          long getTransactionID()

      `required sfixed64 transactionID = 2;`

    - #### hasWriteOrderID

          boolean hasWriteOrderID()

      `required sfixed64 writeOrderID = 3;`

    - #### getWriteOrderID

          long getWriteOrderID()

      `required sfixed64 writeOrderID = 3;`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.